# [AdminLTE](https://app-generator.dev/product/adminlte/) Django Integration

Modern template for **Django** built with **[AdminLTE](https://app-generator.dev/product/adminlte/)**, an open-source `Bootstrap` Design.

- [Django Admin AdminLTE](https://app-generator.dev/docs/products/django-libs/theme-adminlte.html) - Documentation & Support Links
- [Django AdminLTE Dashboard](https://app-generator.dev/product/adminlte/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## Features

- [AdminLTE](https://app-generator.dev/product/adminlte/) Design Integration
  - Dashboard page
  - Color, Typography, Icons 
  - Authentication: Login, Register
  
<br />

## [AdminLTE](https://app-generator.dev/product/adminlte/) Starters

Pre-built starters for coding dashboards and services (APIs, DataTables) with speed.

### [Django AdminLTE](https://app-generator.dev/product/adminlte/django/)

> The FREE Version (MIT License) - [Live Demo](https://django-adminlte.onrender.com).

- Simple, Easy-to-Extend Codebase
- [AdminLTE](https://app-generator.dev/product/adminlte/) Integration 
- Bootstrap Styling 
- Session-based Authentication, Password recovery
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- Docker, CI/CD for Render
- Vite for assets management 

![Django AdminLTE - Modern template for Django Admin Section crafted on top of a modern Bootstrap, Open-Source Design.](https://user-images.githubusercontent.com/51070104/168842202-9b80a957-a375-4e6d-8247-2cc459267a86.png)

<br />

## [Django AdminLTE PRO](https://app-generator.dev/product/adminlte-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-adminlte-pro.onrender.com).

- Simple, Easy-to-Extend Codebase
- [AdminLTE](https://app-generator.dev/product/adminlte/) Design Integration 
- Bootstrap Styling 
- Dynamic Tables - read [docs](https://app-generator.dev/docs/developer-tools/dynamic-datatables.html)
- Dynamic API - read [docs](https://app-generator.dev/docs/developer-tools/dynamic-api.html)
- Charts
- React Integration 
- Session-based Authentication, Password recovery
- OAuth GitHub
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- [Django CLI Package](https://app-generator.dev/docs/developer-tools/django-cli/index.html)
    - [Commit/rollback Git Changes](https://app-generator.dev/docs/developer-tools/django-cli/git-interface.html)
    - `Backup & restore DB`
    - [Interact with Django Core](https://app-generator.dev/docs/developer-tools/django-cli/query-django.html)
    - `Manage Environment`
    - `Manage Dependencies`
- Session-based Authentication, Password recovery
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- Docker, CI/CD for Render

![Django AdminLTE - The premium version: API, Charts, React Intergration, Dynamic DT, and Docker Support.](https://github.com/user-attachments/assets/892dd62b-2127-4a8c-ba44-932999fdddbc)

<br />

## `Customize` with [Django App Generator](https://app-generator.dev/tools/django-generator/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

![Django Generator - User Interface for choosing the Design](https://github.com/user-attachments/assets/b989c434-1c53-49ff-8dda-b46dbfc142ac) 

![Django App Generator - User Interface for Edit the Extended User Model](https://github.com/user-attachments/assets/f1a5fb68-a5ba-49c9-a3ae-91716de09912) 

<br />

---
**[AdminLTE](https://app-generator.dev/product/adminlte/)** Django Integration - Library provided by **[App-Generator](https://app-generator.dev)**.
